Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1518640 - When running Operations in OpenStack, flash message has [object] [Object] in the text
Summary: When running Operations in OpenStack, flash message has [object] [Object] in ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.0
Assignee: Petr Blaho
QA Contact: Dave Johnson
URL:
Whiteboard: testathon
Depends On:
Blocks: 1519469
TreeView+ depends on / blocked
 
Reported: 2017-11-29 11:42 UTC by Loic Avenel
Modified: 2018-06-21 20:42 UTC (History)
7 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1519469 (view as bug list)
Environment:
Last Closed: 2018-06-21 20:42:11 UTC
Category: ---
Cloudforms Team: Openstack


Attachments (Terms of Use)
flash message (deleted)
2017-11-29 11:42 UTC, Loic Avenel
no flags Details

Description Loic Avenel 2017-11-29 11:42:09 UTC
Created attachment 1360275 [details]
flash message

Description of problem: When running Operations in OpenStack, flash message has [object] [Object] in the text


Version-Release number of selected component (if applicable): 5.9.0.11


How reproducible: always
 

Steps to Reproduce:
1. go to Storage>OpenStack Cinder> Volume
2. Edit a volume
3. Look at the flash message

Actual results: we see [object object] as data an not the real object name


Expected results: real object name


Additional info:

Comment 4 CFME Bot 2017-11-30 15:59:20 UTC
New commit detected on ManageIQ/manageiq-providers-openstack/master:
https://github.com/ManageIQ/manageiq-providers-openstack/commit/e0f6de4cf60714928bcb862759dfa96d25c55487

commit e0f6de4cf60714928bcb862759dfa96d25c55487
Author:     Petr Blaho <pblaho@redhat.com>
AuthorDate: Thu Nov 30 15:56:12 2017 +0100
Commit:     Petr Blaho <pblaho@redhat.com>
CommitDate: Thu Nov 30 15:59:45 2017 +0100

    Corrects handling of Notification params
    
    We need :subject, :initiator and :cause keys be a named keyword when
    passing to Notification.create().
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1518640

 app/models/manageiq/providers/openstack/helper_methods.rb | 12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)


Note You need to log in before you can comment on or make changes to this bug.